Package org.apache.storm.kafka.trident

## Class TridentKafkaStateFactory<K,​V>

- java.lang.Object
- - org.apache.storm.kafka.trident.TridentKafkaStateFactory<K,​V>

- All Implemented Interfaces:
    `Serializable`, `StateFactory`

      public class TridentKafkaStateFactory<K,​V>
      extends Object
      implements StateFactory

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TridentKafkaStateFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `State` | `makeState​(Map<String,​Object> conf, IMetricsContext metrics, int partitionIndex, int numPartitions)` |
    `TridentKafkaStateFactory<K,​V>` | `withKafkaTopicSelector​(KafkaTopicSelector selector)` |
    `TridentKafkaStateFactory<K,​V>` | `withProducerProperties​(Properties props)` |
    `TridentKafkaStateFactory<K,​V>` | `withTridentTupleToKafkaMapper​(TridentTupleToKafkaMapper<K,​V> mapper)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TridentKafkaStateFactory

          public TridentKafkaStateFactory()

  - ### Method Detail

    - #### withTridentTupleToKafkaMapper

          public TridentKafkaStateFactory<K,​V> withTridentTupleToKafkaMapper​(TridentTupleToKafkaMapper<K,​V> mapper)

    - #### withKafkaTopicSelector

          public TridentKafkaStateFactory<K,​V> withKafkaTopicSelector​(KafkaTopicSelector selector)

    - #### withProducerProperties

          public TridentKafkaStateFactory<K,​V> withProducerProperties​(Properties props)

    - #### makeState

          public State makeState​(Map<String,​Object> conf,
                                 IMetricsContext metrics,
                                 int partitionIndex,
                                 int numPartitions)

      Specified by:
        `makeState` in interface `StateFactory`